Bug 138154 - icons are scaled incorrectly when panel moved to left/right border
icons are scaled incorrectly when panel moved to left/right border
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Depends On:
  Show dependency treegraph
Reported: 2004-11-05 00:48 EST by Toni Willberg
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: gnome-panel-2.10.1-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-27 07:11:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Toni Willberg 2004-11-05 00:48:05 EST
Description of problem:
 After fresh install of FC3-devel to my laptop, when I move the top
panel to left or right instead of top, all the icons are scaled
incorrectly. Normally icons are sized something like 16x16, now the
become more like 80x80 or even more.

This happened right after installation, on first boot. No
configuration modifications were done.

The laptop has got 1280x1024 resolution with "millions of colors". 

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Toni Willberg 2004-11-05 00:49:14 EST
Forgot to mention that moving panel back to top, or bottom, the icons
get correct size again. After moving again to left/right, the
incorrect sizes appear.

Comment 2 Mark McLoughlin 2005-04-27 07:11:07 EDT
Well, the panel just scales the icons to fill the panel, but the size of the
menu bar makes the panel icons be scaled to huge sizes.

I've fixed it so they never get scaled above 48x48:

* Wed Apr 27 2005 Mark McLoughlin <markmc@redhat.com> - 2.10.1-6
- Add patch to clamp the size of the icons on the panel at 48x48. Fixes
  "moved the panel to the side, can't move it back" issue (rh #141743)

Note You need to log in before you can comment on or make changes to this bug.